#------------------------------------------------------------------
# Additionnal definitions for making GFI extensions
#
# This makefile must be included in your main makefile.
#------------------------------------------------------------------

LCL  = .lcl
MAK  = .mak

LCLINT   = lclint
LCLFLAGS = -weak +matchanyintegral -fixedformalarray -retvalother

MM      = $(top_dir)/gfi/make/makemake.pl
MMT     = $(top_dir)/gfi/make/$(HOST)/MMFile.mm
MMF     = MMFile
MMP     = MM_
MMS     = _MM
MMFLAGS = -T $(MMT) -f $(MMF) -P $(MMP) -S $(MMS) -D '$(CPP)'

#--- Replace old list of include directories
INCLUDES = -I$(top_dir)/include       \
           -I$(top_dir)/adcp/include  \
           -I$(top_dir)/adcp/adcpsect \
           -I$(top_dir)/gfi/include   

# Old version of Linux do not always define the i386 macro for cpp, 
# therefore option '__i386__' is not a bad thing to have.
CPP = cpp -D__i386__ $(INCLUDES) -MM


